コンテンツにスキップ

データカタログ GraphQL API

POST
/datacatalog/graphql
curl --request POST \
--url https://api.plateauview.mlit.go.jp/datacatalog/graphql \
--header 'Content-Type: application/json' \
--data '{ "query": "example", "variables": {} }'

GraphQLスキーマはPlaygroundで確認できます。

Media type application/json
object
query

GraphQL query or mutation

string
variables

Optional variables for the query

object
key
additional properties
any
Example generated
{
"query": "example",
"variables": {}
}

GraphQL response

Media type application/json
object
data

The response data

object
errors

The list of errors

Array<object>
object
message

The error message

string
locations
Array<object>
object
line

The line number

integer
column

The column number

integer
Example generated
{
"data": {},
"errors": [
{
"message": "example",
"locations": [
{
"line": 1,
"column": 1
}
]
}
]
}